digiKam Developer Documentation: Digikam::DPopupFrame Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | Friends | List of all members
Digikam::DPopupFrame Class Reference
Inheritance diagram for Digikam::DPopupFrame:

## Public Slots
void | close (int r)
| Close the popup window.

## Signals
void | leaveModality ()

## Public Member Functions
| DPopupFrame (QWidget *const parent=nullptr)
| The constructor.
| ~DPopupFrame () override
| The destructor.
int | exec (const QPoint &p)
| Execute the popup window.
int | exec (int x, int y)
| Execute the popup window.
void | popup (const QPoint &p)
| Open the popup window at position pos.
void | resizeEvent (QResizeEvent *e) override
| The resize event.
void | setMainWidget (QWidget *const m)
| Set the main widget.

## Protected Member Functions
void | hideEvent (QHideEvent *e) override
| Catch hide events.
void | keyPressEvent (QKeyEvent *e) override
| Catch key press events.

## Friends
class | Private

## Constructor & Destructor Documentation

## ◆ DPopupFrame()

Digikam::DPopupFrame::DPopupFrame | ( | QWidget *const | parent = `nullptr` | ) |
| explicit

Creates a dialog without buttons.

## Member Function Documentation

## ◆ close

void Digikam::DPopupFrame::close | ( | int | r | ) |
| slot

This is called from the main widget, usually. `r` is the result returned from exec().

## ◆ resizeEvent()

void Digikam::DPopupFrame::resizeEvent | ( | QResizeEvent * | e | ) |
| override

Simply resizes the main widget to the whole widgets client size.

## ◆ setMainWidget()

void Digikam::DPopupFrame::setMainWidget | ( | QWidget *const | m | ) |

You cannot set the main widget from the constructor, since it must be a child of the frame itselfes.

Warning
  The size is set to the main widgets size. It is up to you to set the main widgets correct size before setting it as the main widget.